gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.FlagsValue

Contents

- Exported types
- Methods
- Properties
  - value
  - valueName
  - valueNick

Description

A structure which contains a single flags value, its name, and its nickname.

Synopsis

- newtype FlagsValue = FlagsValue (ManagedPtr FlagsValue)
- newZeroFlagsValue :: MonadIO m => m FlagsValue
- getFlagsValueValue :: MonadIO m => FlagsValue -> m Word32
- setFlagsValueValue :: MonadIO m => FlagsValue -> Word32 -> m ()
- clearFlagsValueValueName :: MonadIO m => FlagsValue -> m ()
- getFlagsValueValueName :: MonadIO m => FlagsValue -> m (Maybe Text)
- setFlagsValueValueName :: MonadIO m => FlagsValue -> CString -> m ()
- clearFlagsValueValueNick :: MonadIO m => FlagsValue -> m ()
- getFlagsValueValueNick :: MonadIO m => FlagsValue -> m (Maybe Text)
- setFlagsValueValueNick :: MonadIO m => FlagsValue -> CString -> m ()

# Exported types

newtype FlagsValue Source #

Memory-managed wrapper type.

Constructors

FlagsValue (ManagedPtr FlagsValue) |

#### Instances

Instances details

Eq FlagsValue Source # |
Instance details Defined in GI.GObject.Structs.FlagsValue Methods (==) :: FlagsValue -> FlagsValue -> Bool Source # (/=) :: FlagsValue -> FlagsValue -> Bool Source #
BoxedPtr FlagsValue Source # |
Instance details Defined in GI.GObject.Structs.FlagsValue Methods boxedPtrCopy :: FlagsValue -> IO FlagsValue Source # boxedPtrFree :: FlagsValue -> IO () Source #
CallocPtr FlagsValue Source # |
Instance details Defined in GI.GObject.Structs.FlagsValue Methods boxedPtrCalloc :: IO (Ptr FlagsValue) Source #
ManagedPtrNewtype FlagsValue Source # |
Instance details Defined in GI.GObject.Structs.FlagsValue Methods toManagedPtr :: FlagsValue -> ManagedPtr FlagsValue Source #
tag ~ 'AttrSet => Constructible FlagsValue tag Source # |
Instance details Defined in GI.GObject.Structs.FlagsValue Methods new :: MonadIO m => (ManagedPtr FlagsValue -> FlagsValue) -> [AttrOp FlagsValue tag] -> m FlagsValue Source #

newZeroFlagsValue :: MonadIO m => m FlagsValue Source #

Construct a `FlagsValue` struct initialized to zero.

# Methods

# Properties

## value

the flags value

getFlagsValueValue :: MonadIO m => FlagsValue -> m Word32 Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get flagsValue #value

setFlagsValueValue :: MonadIO m => FlagsValue -> Word32 -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set flagsValue [ #value := value ]

## valueName

the name of the value

clearFlagsValueValueName :: MonadIO m => FlagsValue -> m () Source #

Set the value of the “`value_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #valueName

getFlagsValueValueName :: MonadIO m => FlagsValue -> m (Maybe Text) Source #

Get the value of the “`value_name`” field. When overloading is enabled, this is equivalent to

    get flagsValue #valueName

setFlagsValueValueName :: MonadIO m => FlagsValue -> CString -> m () Source #

Set the value of the “`value_name`” field. When overloading is enabled, this is equivalent to

    set flagsValue [ #valueName := value ]

## valueNick

the nickname of the value

clearFlagsValueValueNick :: MonadIO m => FlagsValue -> m () Source #

Set the value of the “`value_nick`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #valueNick

getFlagsValueValueNick :: MonadIO m => FlagsValue -> m (Maybe Text) Source #

Get the value of the “`value_nick`” field. When overloading is enabled, this is equivalent to

    get flagsValue #valueNick

setFlagsValueValueNick :: MonadIO m => FlagsValue -> CString -> m () Source #

Set the value of the “`value_nick`” field. When overloading is enabled, this is equivalent to

    set flagsValue [ #valueNick := value ]